package com.happy.service;

import com.happy.Model.BookingComplaint;
import com.happy.Model.HotelCoupon;
import com.happy.dto.IPage;
import com.happy.vo.BookingComplaintVo;
import com.happy.vo.ComplaintPageVo;
import com.happy.vo.ProgressDetailsVo;

import java.util.List;

public interface BookingComplaintService {
    /**
     * 描述：分页查询
     * @param sqlx 列表查询条件 sql 总数查询条件
     * @param page
     * @param rows
     * @return
     */
    IPage<BookingComplaintVo> queryPage(String sqlx, String sql, int page, int rows);

    /**
     * 描述：获取总条数
     * @param sqlx
     * @return
     */
    int queryTotal(String sqlx);

    /**
     * 描述：根据id查询投诉表
     * @param id 投诉id
     * @return
     */
    BookingComplaint getById(String id);

    BookingComplaint getDetailById(String id);

    List<BookingComplaint> toComplainExcel(String sqlx);

    int insert(String bookingId, String hotelId, String houseId, String title, String content, String createId, String createDate, String modifyDate, List<String> pictureList);

    IPage<ComplaintPageVo> complaintPage(String usersId, int page, int rows);

    ProgressDetailsVo progressDetails(String complaintId);

    /**
     * 投诉详情
     * @Param complaintId 投诉订单ID
     * @return
     */
    ProgressDetailsVo progressNewDetail(String complaintId);

    int updateComplain(String id,String status);
}
